# Variant

class dbus_fast.Variant(signature: str | SignatureTree | SignatureType, value: Any, verify: bool = True)

  A class to represent a DBus variant (type “v”).

  This class is used in message bodies to represent variants. The user can expect a value in the body with type “v” to use this class and can construct this class directly for use in message bodies sent over the bus.

  Variables:

    - signature (str or SignatureTree or SignatureType) – The signature for this variant. Must be a single complete type.

    - value (Any) – The value of this variant. Must correspond to the signature.

  Raises:

    `InvalidSignatureError` if the signature is not valid. `SignatureBodyMismatchError` if the signature does not match the body.

  signature
  type
  value